Repository: flink
Updated Branches:
  refs/heads/release-1.5 735c95fbb -> b4136d248


[FLINK-8911] Add separate script for nightly end-to-end tests


Project: http://git-wip-us.apache.org/repos/asf/flink/repo
Commit: http://git-wip-us.apache.org/repos/asf/flink/commit/b4136d24
Tree: http://git-wip-us.apache.org/repos/asf/flink/tree/b4136d24
Diff: http://git-wip-us.apache.org/repos/asf/flink/diff/b4136d24

Branch: refs/heads/release-1.5
Commit: b4136d24831fe00d95e6d840748a6ee59b5336f8
Parents: 735c95f
Author: Aljoscha Krettek <aljoscha.kret...@gmail.com>
Authored: Fri Mar 9 14:11:04 2018 +0100
Committer: Aljoscha Krettek <aljoscha.kret...@gmail.com>
Committed: Sun Mar 11 08:39:05 2018 -0700

----------------------------------------------------------------------
 flink-end-to-end-tests/README.md            | 18 ++++++++-
 flink-end-to-end-tests/run-nightly-tests.sh | 51 ++++++++++++++++++++++++
 2 files changed, 67 insertions(+), 2 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/flink/blob/b4136d24/flink-end-to-end-tests/README.md
----------------------------------------------------------------------
diff --git a/flink-end-to-end-tests/README.md b/flink-end-to-end-tests/README.md
index 1c8aadc..82d7e41 100644
--- a/flink-end-to-end-tests/README.md
+++ b/flink-end-to-end-tests/README.md
@@ -1,14 +1,28 @@
 # Flink End-to-End Tests
 
-This module contains tests that verify end-to-end behaviour of Flink.
+This module contains tests that verify end-to-end behaviour of Flink. We
+categorize end-to-end tests as either pre-commit tests or nightly tests. The
+former should be run on every commit, that is every Travis run, while the 
second
+category should be run by a nightly job or when manually verifying a release or
+making sure that the tests pass.
+
+Tests in the pre-commit category should be more lightweight while tests in the
+nightly category can be quite heavyweight because we don't run them for every
+commit.
 
 ## Running Tests
-You can run all tests by executing
+You can run all pre-commit tests by executing
 
 ```
 $ FLINK_DIR=<flink dir> flink-end-to-end-tests/run-pre-commit-tests.sh
 ```
 
+and all nightly tests via
+
+```
+$ FLINK_DIR=<flink dir> flink-end-to-end-tests/run-nightly-tests.sh
+```
+
 where <flink dir> is a Flink distribution directory.
 
 You can also run tests individually via

http://git-wip-us.apache.org/repos/asf/flink/blob/b4136d24/flink-end-to-end-tests/run-nightly-tests.sh
----------------------------------------------------------------------
diff --git a/flink-end-to-end-tests/run-nightly-tests.sh 
b/flink-end-to-end-tests/run-nightly-tests.sh
new file mode 100755
index 0000000..8ee526b
--- /dev/null
+++ b/flink-end-to-end-tests/run-nightly-tests.sh
@@ -0,0 +1,51 @@
+#!/usr/bin/env bash
+################################################################################
+#  Licensed to the Apache Software Foundation (ASF) under one
+#  or more contributor license agreements.  See the NOTICE file
+#  distributed with this work for additional information
+#  regarding copyright ownership.  The ASF licenses this file
+#  to you under the Apache License, Version 2.0 (the
+#  "License"); you may not use this file except in compliance
+#  with the License.  You may obtain a copy of the License at
+#
+#      http://www.apache.org/licenses/LICENSE-2.0
+#
+#  Unless required by applicable law or agreed to in writing, software
+#  distributed under the License is distributed on an "AS IS" BASIS,
+#  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+#  See the License for the specific language governing permissions and
+# limitations under the License.
+################################################################################
+
+END_TO_END_DIR="`dirname \"$0\"`" # relative
+END_TO_END_DIR="`( cd \"$END_TO_END_DIR\" && pwd )`" # absolutized and 
normalized
+if [ -z "$END_TO_END_DIR" ] ; then
+    # error; for some reason, the path is not accessible
+    # to the script (e.g. permissions re-evaled after suid)
+    exit 1  # fail
+fi
+
+if [ -z "$FLINK_DIR" ] ; then
+    echo "You have to export the Flink distribution directory as FLINK_DIR"
+    exit 1
+fi
+
+FLINK_DIR="`( cd \"$FLINK_DIR\" && pwd )`" # absolutized and normalized
+
+echo "flink-end-to-end-test directory: $END_TO_END_DIR"
+echo "Flink distribution directory: $FLINK_DIR"
+
+EXIT_CODE=0
+
+# Template for adding a test:
+
+# if [ $EXIT_CODE == 0 ]; then
+#     printf 
"\n==============================================================================\n"
+#     printf "Running my fancy nightly end-to-end test\n"
+#     printf 
"==============================================================================\n"
+#     $END_TO_END_DIR/test-scripts/test_something_very_fancy.sh
+#     EXIT_CODE=$?
+# fi
+
+# Exit code for Travis build success/failure
+exit $EXIT_CODE

Reply via email to